from mocka.artefact import Artefact


def test_artefact():
    artefact = Artefact("inline", "Don't be evil!", "motto.txt", "text/plain")
    assert artefact.as_dict() == {'type': 'inline', 'content': "Don't be evil!", 'name': 'motto.txt', 'encoding': 'text/plain'}
